@font-face{
  font-family: "AMSTRAD";
  src: url("./AMSTRAD.woff") format("woff");
}

body {
  font-family: "AMSTRAD";
  font-size: 18px;
  overflow-x: hidden;
  letter-spacing: 1px;
}

a {
 color: inherit; 
 }

textarea {
  resize: none;
}

input[type="file"]::file-selector-button {
  border: 0.15em solid #000;
  padding: 0.2em 0.2em;
  background-color: #fff;
}

.hidden {
  display: none;
}

.pagination {
  margin-top: 20px;
  text-align: left;
}

.pagination a {
  display: inline-block;
  padding: 5px 10px;
  margin: 0 2px;
  background-color: #f2f2f2;
  border: 1px solid #ccc;
  text-decoration: none;
  color: black;
}

.pagination a.active {
  background-color: #4CAF50;
  color: white;
}

.pagination a:hover:not(.active) {
	background-color: #ddd;
}

.upload{
  background-image: repeating-conic-gradient(#c4ebb7 0% 25%, #a3dd90 0% 50%);
  background-position: 0 0, 10px 10px;
  background-size: 20px 20px;
}

.browse{
  background-image: repeating-conic-gradient(#f0caf3 0% 25%, #efbbf3 0% 50%);
  background-position: 0 0, 10px 10px;
  background-size: 20px 20px;
}

.manage{
  background-image: repeating-conic-gradient(#eef3bb 0% 25%, #ebf39c 0% 50%);
  background-position: 0 0, 10px 10px;
  background-size: 20px 20px;
}

.admin{
  background-image: repeating-conic-gradient(#6dae93 0% 25%, #88c9ae 0% 50%);
  background-position: 0 0, 10px 10px;
  background-size: 20px 20px;
}


.list-54 {
  font-family: "AMSTRAD";
  background-color: #fff;
  font-size: 14px;
  letter-spacing: 0px;
  text-decoration: none;
  text-transform: uppercase;
  text-align: center;
  vertical-align: middle;
  color: #515151;
  cursor: pointer;
  border: 3px solid;
  box-shadow: 1px 1px 0px 0px, 2px 2px 0px 0px, 3px 3px 0px 0px, 4px 4px 0px 0px, 5px 5px 0px 0px;
  position: relative;
  user-select: none;
  -webkit-user-select: none;
  touch-action: manipulation;

}

.cell-54 {
  font-family: "AMSTRAD";
  background-color: #fff;
  font-size: 14px;
  letter-spacing: 0px;
  text-decoration: none;
  text-transform: uppercase;
  color: #000;
  text-align: center;
  vertical-align: middle;
  border: 3px solid #515151;
  box-shadow: 1px 1px 0px 0px #515151, 2px 2px 0px 0px #515151, 3px 3px 0px 0px #515151, 4px 4px 0px 0px #515151, 5px 5px 0px 0px #515151;
  position: relative;
  user-select: none;
  -webkit-user-select: none;
  touch-action: manipulation;

}

.card54 {
  font-family: "AMSTRAD";
  font-size: 14px;
  letter-spacing: 0px;
  text-decoration: none;
  text-transform: uppercase;
  color: #515151;
  text-align: center;
  vertical-align: middle;
  border: 3px solid;
  box-shadow: 1px 1px 0px 0px, 2px 2px 0px 0px, 3px 3px 0px 0px, 4px 4px 0px 0px, 5px 5px 0px 0px;
  position: relative;
  user-select: none;
  -webkit-user-select: none;
  touch-action: manipulation;

}


.button-54 {
  font-family: "AMSTRAD";
  font-size: 16px;
  letter-spacing: 2px;
  text-decoration: none;
  text-transform: uppercase;
  text-align: center;
  vertical-align: middle;
  color: #000;
  cursor: pointer;
  border: 3px solid #515151;
  padding: 0.25em 0.5em;
  box-shadow: 1px 1px 0px 0px #515151, 2px 2px 0px 0px #515151, 3px 3px 0px 0px #515151, 4px 4px 0px 0px #515151, 5px 5px 0px 0px #515151;
  position: relative;
  user-select: none;
  -webkit-user-select: none;
  touch-action: manipulation;
}

.button-54:active {
  box-shadow: 0px 0px 0px 0px;
  top: 5px;
  left: 5px;
}

.button-54S {
  font-family: "AMSTRAD";
  font-size: 11px;
  letter-spacing: 0px;
  text-decoration: none;
  text-transform: uppercase;
  color: #515151;
  cursor: pointer;
  border: 1px solid;
  padding: 0.25em 0.5em;
  box-shadow: 1px 1px 0px 0px, 2px 2px 0px 0px, 3px 3px 0px 0px, 4px 4px 0px 0px, 5px 5px 0px 0px;
  position: relative;
  user-select: none;
  -webkit-user-select: none;
  touch-action: manipulation;
}

.button-54S:active {
  box-shadow: 0px 0px 0px 0px;
  top: 5px;
  left: 5px;
}


.login {
/* background-image: linear-gradient( #ed7979, #edae79, #ede779, #79ed98, #79d7ed, #ad79ed));*/
   --s: 50px; /* control the size */
  --c1: #91ff9d;
  --c2: #f7f9b6;
  --_g: 
     var(--c2) 6%  14%,var(--c1) 16% 24%,var(--c2) 26% 34%,var(--c1) 36% 44%,
     var(--c2) 46% 54%,var(--c1) 56% 64%,var(--c2) 66% 74%,var(--c1) 76% 84%,var(--c2) 86% 94%;
  background:
    radial-gradient(100% 100% at 100% 0,var(--c1) 4%,var(--_g),#0000 96%,#fff0),
    radial-gradient(100% 100% at 0 100%,#0000, #0000 4%,var(--_g),var(--c1) 96%)
    var(--c1);
  background-size: var(--s) var(--s);
}

.login > div {
    padding:15px 15px;
}

.padded {
padding: 10px 0px 20px 10px;
}
.entrypending{
background-color: orange;
width: 20px;
border: 4px solid #515151;
box-shadow: 1px 1px 0px 0px, 2px 2px 0px 0px, 3px 3px 0px 0px, 4px 4px 0px 0px, 5px 5px 0px 0px;
}

.entryprinted{
background-color: green;
width: 20px;
border: 4px solid #515151;
box-shadow: 1px 1px 0px 0px, 2px 2px 0px 0px, 3px 3px 0px 0px, 4px 4px 0px 0px, 5px 5px 0px 0px;
}

.entryfailed{
background-color: red;
width: 20px;
border: 4px solid #515151;
box-shadow: 1px 1px 0px 0px, 2px 2px 0px 0px, 3px 3px 0px 0px, 4px 4px 0px 0px, 5px 5px 0px 0px;
}


.browse{
background-color: red;
}

.manage{
}



.imagecard{

}

.pending {
text-align: center;
padding: 2px 2px 2px 2px;
background-color: #f41756;
width: 30px;
}
.menu{
}

.commentsbrowse {
  overflow: hidden;
  font-family: "AMSTRAD";
  word-wrap: break-word;
  font-size: 20px;
  text-align: center;
  margin-left: auto;
  margin-right: auto;
  width: 250px;
  

}
.admincard {
  background-color: #f41756;
  border: 2px dashed #f41756;
  max-width: 320px;
  margin: auto;
  text-align: center;
  font-family: arial;
}

.admincardpending {
  background-color: orange;
  border: 4px dashed orange;
  max-width: 320px;
  margin: auto;
  text-align: center;
  font-family: arial;
}

.admincardprinted {
  background-color: green;
  border: 4px dashed green;
  max-width: 320px;
  margin: auto;
  text-align: center;
  font-family: arial;
}

.admincardfailed {
  background-color: red;
  border: 4px dashed red;
  max-width: 320px;
  margin: auto;
  text-align: center;
  font-family: arial;
}

.topcard {
  background-color: #000;
  max-width: 300px;
  margin: 0;
  text-align: center;

  font-family: "AMSTRAD";
}

.topcardhead {
  margin: 0;
  padding:15px 0px 0px 0px;
  color: #515151;
  font-family: "AMSTRAD";
  font-size: 20px;
}

.topcardfoot {
  margin: 0;
  padding:0px 0px 15px 0px;
  color: #515151;
  font-family: "AMSTRAD";
  font-size: 30px;
}


.card {
  max-width: 312px;
  margin: auto;
  text-align: center;
  font-family: arial;
}

.grid-container {

  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(320px, 6fr));
  grid-gap: 1rem;
}

.price {
  color: grey;
  font-size: 22px;
}

.card button {
  border: none;
  outline: 0;
  padding: 12px;
  color: white;
  background-color: #000;
  text-align: center;
  cursor: pointer;
  width: 100%;
  font-size: 18px;
}

.card button:hover {
  opacity: 0.7;
}

.top-bar {
  width: 100%;
  color: white;
  line-height: 40px;
  margin-top: 10px;
  margin-bottom: 10px;
  padding: 0px;
  font-family: AMSTRAD;
  background-color: rgba(0, 0, 0, .8);
}

.user {
text-align: right;
margin-right: 30px;
}

.options {
text-align: left;
margin-left: 30px;
}
